Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ORB.h File Reference

`#include "UserException.h"`
`#include "orb_typesC.h"`
`#include "objectid.h"`
`#include "CORBA_methods.h"`
`#include "VarOut_T.h"`
`#include "Seq_Var_T.h"`
`#include "Seq_Out_T.h"`
`#include "Sequence_T.h"`
`#include "Policy_ForwardC.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Guard_T.h"`
`#include "tao/ORB.i"`

Include dependency graph for ORB.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
namespace | TAO::ORB
## Classes
interface | CORBA::ORB
| ORB pseudo-object. More...
exception | CORBA::ORB::InvalidName
| UserException for resolve_initial_references(). More...
## Typedefs
typedef CORBA::ULong | PolicyType
typedef TAO_Var_Var_T< ServiceInformation > | ServiceInformation_var
typedef TAO_Out_T< ServiceInformation, ServiceInformation_var > | ServiceInformation_out
typedef ValueFactoryBase * | ValueFactory
typedef UShort | ServiceType
typedef TAO_Pseudo_Var_T< Request > | Request_var
typedef TAO_Pseudo_Out_T< Request, Request_var > | Request_out
typedef TAO_Pseudo_Var_T< ORB > | ORB_var
typedef TAO_Pseudo_Out_T< ORB, ORB_var > | ORB_out
typedef CORBA::Short | ValueModifier
## Enumerations
enum | TAO_Service_ID { TAO_SERVICEID_NAMESERVICE, TAO_SERVICEID_TRADINGSERVICE, TAO_SERVICEID_IMPLREPOSERVICE, TAO_SERVICEID_INTERFACEREPOSERVICE, TAO_SERVICEID_MCASTSERVER }
## Functions
void | init_orb_globals ()

## Detailed Description

Id
  ORB.h,v 1.256 2005/11/29 11:20:42 jwillemsen Exp

Header file for CORBA's ORB type.

Author:
  DOC Center - Washington University at St. Louis

  DOC Group - Vanderbilt University

  DOC Laboratory - University of California at Irvine

## Typedef Documentation

typedef TAO_Pseudo_Out_T<ORB, ORB_var> CORBA::ORB_out

typedef TAO_Pseudo_Var_T<ORB> CORBA::ORB_var

typedef ULong CORBA::PolicyType

typedef TAO_Pseudo_Out_T<Request, Request_var> CORBA::Request_out

typedef TAO_Pseudo_Var_T<Request> CORBA::Request_var

typedef TAO_Out_T< ServiceInformation, ServiceInformation_var > CORBA::ServiceInformation_out

typedef TAO_Var_Var_T< ServiceInformation > CORBA::ServiceInformation_var

typedef CORBA::UShort CORBA::ServiceType

typedef ValueFactoryBase * CORBA::ValueFactory

typedef CORBA::Short CORBA::ValueModifier

## Enumeration Type Documentation

enum TAO_Service_ID

  | Enumeration values:
  TAO_SERVICEID_NAMESERVICE |
  TAO_SERVICEID_TRADINGSERVICE |
  TAO_SERVICEID_IMPLREPOSERVICE |
  TAO_SERVICEID_INTERFACEREPOSERVICE |
  TAO_SERVICEID_MCASTSERVER |

## Function Documentation

void TAO::ORB::init_orb_globals | ( |  | ) |

| Note: The new TypeCode implementation obviates the above comment. Standard CORBA exception TypeCodes are now available before CORBA::ORB_init() is ever called.